GNU bug report logs - #44666
28.0.50; malloc-info: Emacs became not responsive, using hard disk all time

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; merged with #43389, #43395, #43876; dated Sun, 15 Nov 2020 19:46:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44666 <at> debbugs.gnu.org:


Received: (at 44666) by debbugs.gnu.org; 17 Nov 2020 15:04:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 17 10:04:22 2020
Received: from localhost ([127.0.0.1]:60869 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kf2Wr-0007yY-KC
	for submit <at> debbugs.gnu.org; Tue, 17 Nov 2020 10:04:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kf2Wq-0007yM-7m
 for 44666 <at> debbugs.gnu.org; Tue, 17 Nov 2020 10:04:20 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55551)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kf2Wk-0002zz-TT; Tue, 17 Nov 2020 10:04:14 -0500
Received: from [176.228.60.248] (port=2756 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kf2Wj-0006Xi-0e; Tue, 17 Nov 2020 10:04:14 -0500
Date: Tue, 17 Nov 2020 17:04:08 +0200
Message-Id: <83y2j0qb2v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X7KmHzy9nQHZlZjb@HIDDEN> (message from Jean Louis
 on Mon, 16 Nov 2020 19:17:35 +0300)
Subject: Re: bug#44666: 28.0.50; malloc-info: Emacs became not responsive,
 using hard disk all time
References: <86y2j2brg2.fsf@HIDDEN>
 <83blfxth7c.fsf@HIDDEN> <X7KmHzy9nQHZlZjb@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44666
Cc: 44666 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 16 Nov 2020 19:17:35 +0300
> From: Jean Louis <bugs@HIDDEN>
> Cc: 44666 <at> debbugs.gnu.org
> 
> * Eli Zaretskii <eliz@HIDDEN> [2020-11-16 19:12]:
> > > From: Jean Louis <bugs@HIDDEN>
> > > Date: Sun, 15 Nov 2020 17:55:09 +0300
> > > 
> > > Sun Nov 15 12:38:28 EAT 2020
> > > <malloc version="1">
> > > <heap nr="0">
> > > <sizes>
> > > 							        <size from="49" to="49" total="49" count="1"/>
> > >   <unsorted from="257" to="257" total="257" count="1"/>
> > > </sizes>
> > > <total type="fast" count="0" size="0"/>
> > > <total type="rest" count="2" size="306"/>
> > > <system type="current" size="11470942208"/>
> > > <system type="max" size="11470942208"/>
> > > <aspace type="total" size="11470942208"/>
> > > <aspace type="mprotect" size="11470942208"/>
> > > </heap>
> > 
> > This basically says you have 11GB in the heap, but there are no
> > details.  So I'm not sure how this could help us make any progress.
> 
> I was thinking that command would tell you something.

It tells something, I just don't yet know what that is.

> If there is nothing to be done with this bug, we can close.

No, closing is premature.  I've merged this bug with 3 other similar
ones, and we are discussing this issue with glibc malloc experts.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44666; Package emacs. Full text available.

Message received at 44666 <at> debbugs.gnu.org:


Received: (at 44666) by debbugs.gnu.org; 17 Nov 2020 06:50:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 17 01:50:07 2020
Received: from localhost ([127.0.0.1]:58122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1keuoY-0007sg-RG
	for submit <at> debbugs.gnu.org; Tue, 17 Nov 2020 01:50:07 -0500
Received: from static.rcdrun.com ([95.85.24.50]:53139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1keuoW-0007s1-Nb
 for 44666 <at> debbugs.gnu.org; Tue, 17 Nov 2020 01:50:05 -0500
Received: from localhost ([::ffff:41.202.241.56])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C0006.000000005FB37296.00006308; Tue, 17 Nov 2020 06:49:57 +0000
Date: Mon, 16 Nov 2020 19:17:35 +0300
From: Jean Louis <bugs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44666: 28.0.50; malloc-info: Emacs became not responsive,
 using hard disk all time
Message-ID: <X7KmHzy9nQHZlZjb@HIDDEN>
References: <86y2j2brg2.fsf@HIDDEN>
 <83blfxth7c.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <83blfxth7c.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 44666
Cc: 44666 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

* Eli Zaretskii <eliz@HIDDEN> [2020-11-16 19:12]:
> > From: Jean Louis <bugs@HIDDEN>
> > Date: Sun, 15 Nov 2020 17:55:09 +0300
> > 
> > Sun Nov 15 12:38:28 EAT 2020
> > <malloc version="1">
> > <heap nr="0">
> > <sizes>
> > 							        <size from="49" to="49" total="49" count="1"/>
> >   <unsorted from="257" to="257" total="257" count="1"/>
> > </sizes>
> > <total type="fast" count="0" size="0"/>
> > <total type="rest" count="2" size="306"/>
> > <system type="current" size="11470942208"/>
> > <system type="max" size="11470942208"/>
> > <aspace type="total" size="11470942208"/>
> > <aspace type="mprotect" size="11470942208"/>
> > </heap>
> 
> This basically says you have 11GB in the heap, but there are no
> details.  So I'm not sure how this could help us make any progress.

I was thinking that command would tell you something.

There was nothing special. I have 4 GB memory and 8 GB swap. There was
no special program running, just XTerm and Emacs.

I would like to find out why is Emacs taking that memory, but I am
unable.

Now I am running it with ulimit, but I am unsure if that ulimit
command really works as manual pages says it sometimes does not work.

#!/bin/bash
unset CDPATH
ulimit -m 3145728
date >> /home/data1/protected/tmp/emacs-debug
emacs >> /home/data1/protected/tmp/emacs-debug 2>&1

If there is nothing to be done with this bug, we can close.

You could suggest me on what to put attention to find out what is
going on.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44666; Package emacs. Full text available.
Merged 43389 43395 43876 44666. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'normal' from 'minor' Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44666 <at> debbugs.gnu.org:


Received: (at 44666) by debbugs.gnu.org; 16 Nov 2020 16:11:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 11:11:39 2020
Received: from localhost ([127.0.0.1]:56841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1keh6Q-00022u-VX
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 11:11:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1keh6P-00022K-Bp
 for 44666 <at> debbugs.gnu.org; Mon, 16 Nov 2020 11:11:37 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35894)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1keh6I-0000Vm-QC; Mon, 16 Nov 2020 11:11:31 -0500
Received: from [176.228.60.248] (port=2147 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1keh6D-0006ti-0x; Mon, 16 Nov 2020 11:11:29 -0500
Date: Mon, 16 Nov 2020 18:11:19 +0200
Message-Id: <83blfxth7c.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <86y2j2brg2.fsf@HIDDEN> (message from Jean Louis on
 Sun, 15 Nov 2020 17:55:09 +0300)
Subject: Re: bug#44666: 28.0.50;
 malloc-info: Emacs became not responsive, using hard disk all time
References: <86y2j2brg2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44666
Cc: 44666 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jean Louis <bugs@HIDDEN>
> Date: Sun, 15 Nov 2020 17:55:09 +0300
> 
> Sun Nov 15 12:38:28 EAT 2020
> <malloc version="1">
> <heap nr="0">
> <sizes>
> 							        <size from="49" to="49" total="49" count="1"/>
>   <unsorted from="257" to="257" total="257" count="1"/>
> </sizes>
> <total type="fast" count="0" size="0"/>
> <total type="rest" count="2" size="306"/>
> <system type="current" size="11470942208"/>
> <system type="max" size="11470942208"/>
> <aspace type="total" size="11470942208"/>
> <aspace type="mprotect" size="11470942208"/>
> </heap>

This basically says you have 11GB in the heap, but there are no
details.  So I'm not sure how this could help us make any progress.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44666; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Nov 2020 19:45:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 15 14:45:36 2020
Received: from localhost ([127.0.0.1]:54211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1keNxw-0003gp-4n
	for submit <at> debbugs.gnu.org; Sun, 15 Nov 2020 14:45:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:43072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1keNxs-0003gS-Pe
 for submit <at> debbugs.gnu.org; Sun, 15 Nov 2020 14:45:33 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50614)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1keNxs-00078V-Fe
 for bug-gnu-emacs@HIDDEN; Sun, 15 Nov 2020 14:45:32 -0500
Received: from static.rcdrun.com ([95.85.24.50]:54545)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1keNxq-0007Oy-5d
 for bug-gnu-emacs@HIDDEN; Sun, 15 Nov 2020 14:45:32 -0500
Received: from localhost ([::ffff:41.202.241.56])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C0006.000000005FB18538.0000709C; Sun, 15 Nov 2020 19:44:54 +0000
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; malloc-info: Emacs became not responsive, using hard disk
 all time
X-Hashcash: 1:20:201115:bug-gnu-emacs@HIDDEN::AfPZiqhMK9jb02nv:00000000000000000000000000000000000000002ZMp
Date: Sun, 15 Nov 2020 17:55:09 +0300
Message-ID: <86y2j2brg2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=95.85.24.50;
 envelope-from=admin@HIDDEN; helo=static.rcdrun.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/15 14:44:45
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_03_06=1.592,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)


Since I wish to find out what is making Emacs slow sometimes, I am
running it with this shell script:

emacs-debug.sh:

#!/bin/bash
## CDPATH I have to unset as otherwise eshell and shell do not work well
unset CDPATH
date >> /home/data1/protected/tmp/emacs-debug
emacs >> /home/data1/protected/tmp/emacs-debug 2>&1

Then if there is non-responsive problem I can do M-x malloc-info

This time computer became totally not responsive:

- using IceWM (rarely happens, almost by rule with EXWM)

- I have not invoked any special function, just small list processing
  where it had 6 elements in total. The non-responsiveness was not
  caused by this function. That is how I say by feeling.

- then I think, by feeling, swapping started or already started during
  my work.

- hardly hardly and with a lot of patience I could invoke M-x
  malloc-info

Fri Nov 13 08:40:17 EAT 2020
Fri Nov 13 19:41:22 EAT 2020
Fri Nov 13 21:51:07 EAT 2020
Fri Nov 13 23:28:16 EAT 2020
Fri Nov 13 23:28:49 EAT 2020
Fri Nov 13 23:41:47 EAT 2020
Fri Nov 13 23:42:35 EAT 2020
Fri Nov 13 23:43:32 EAT 2020
Sat Nov 14 00:22:09 EAT 2020
Sat Nov 14 00:26:32 EAT 2020
Sat Nov 14 11:47:26 EAT 2020
Sat Nov 14 11:59:16 EAT 2020
Sun Nov 15 12:38:28 EAT 2020
<malloc version=3D"1">
<heap nr=3D"0">
<sizes>
							        <size from=3D"49" to=3D"49" total=3D"49" count=3D"1"/>
  <unsorted from=3D"257" to=3D"257" total=3D"257" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"0" size=3D"0"/>
<total type=3D"rest" count=3D"2" size=3D"306"/>
<system type=3D"current" size=3D"11470942208"/>
<system type=3D"max" size=3D"11470942208"/>
<aspace type=3D"total" size=3D"11470942208"/>
<aspace type=3D"mprotect" size=3D"11470942208"/>
</heap>
<heap nr=3D"1">
<sizes>
							        <size from=3D"33" to=3D"48" total=3D"48" count=3D"1"/>
							        <size from=3D"65" to=3D"80" total=3D"80" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"2" size=3D"128"/>
<total type=3D"rest" count=3D"0" size=3D"0"/>
<system type=3D"current" size=3D"135168"/>
<system type=3D"max" size=3D"135168"/>
<aspace type=3D"total" size=3D"135168"/>
<aspace type=3D"mprotect" size=3D"135168"/>
</heap>
<heap nr=3D"2">
<sizes>
							        <size from=3D"33" to=3D"48" total=3D"48" count=3D"1"/>
							        <size from=3D"65" to=3D"80" total=3D"80" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"2" size=3D"128"/>
<total type=3D"rest" count=3D"0" size=3D"0"/>
<system type=3D"current" size=3D"135168"/>
<system type=3D"max" size=3D"135168"/>
<aspace type=3D"total" size=3D"135168"/>
<aspace type=3D"mprotect" size=3D"135168"/>
</heap>
<heap nr=3D"3">
<sizes>
							        <size from=3D"33" to=3D"48" total=3D"48" count=3D"1"/>
							        <size from=3D"65" to=3D"80" total=3D"80" count=3D"1"/>
							        <size from=3D"33" to=3D"33" total=3D"33" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"2" size=3D"128"/>
<total type=3D"rest" count=3D"1" size=3D"33"/>
<system type=3D"current" size=3D"135168"/>
<system type=3D"max" size=3D"135168"/>
<aspace type=3D"total" size=3D"135168"/>
<aspace type=3D"mprotect" size=3D"135168"/>
</heap>
<heap nr=3D"4">
<sizes>
							        <size from=3D"33" to=3D"48" total=3D"48" count=3D"1"/>
							        <size from=3D"65" to=3D"80" total=3D"80" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"2" size=3D"128"/>
<total type=3D"rest" count=3D"0" size=3D"0"/>
<system type=3D"current" size=3D"135168"/>
<system type=3D"max" size=3D"135168"/>
<aspace type=3D"total" size=3D"135168"/>
<aspace type=3D"mprotect" size=3D"135168"/>
</heap>
<heap nr=3D"5">
<sizes>
							        <size from=3D"33" to=3D"48" total=3D"48" count=3D"1"/>
							        <size from=3D"65" to=3D"80" total=3D"80" count=3D"1"/>
  <unsorted from=3D"2449" to=3D"2449" total=3D"2449" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"2" size=3D"128"/>
<total type=3D"rest" count=3D"1" size=3D"2449"/>
<system type=3D"current" size=3D"135168"/>
<system type=3D"max" size=3D"135168"/>
<aspace type=3D"total" size=3D"135168"/>
<aspace type=3D"mprotect" size=3D"135168"/>
</heap>
<heap nr=3D"6">
<sizes>
							        <size from=3D"33" to=3D"48" total=3D"48" count=3D"1"/>
							        <size from=3D"65" to=3D"80" total=3D"80" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"2" size=3D"128"/>
<total type=3D"rest" count=3D"0" size=3D"0"/>
<system type=3D"current" size=3D"135168"/>
<system type=3D"max" size=3D"135168"/>
<aspace type=3D"total" size=3D"135168"/>
<aspace type=3D"mprotect" size=3D"135168"/>
</heap>
<heap nr=3D"7">
<sizes>
							        <size from=3D"17" to=3D"32" total=3D"864" count=3D"27"/>
							        <size from=3D"33" to=3D"48" total=3D"384" count=3D"8"/>
							        <size from=3D"65" to=3D"80" total=3D"160" count=3D"2"/>
							        <size from=3D"97" to=3D"112" total=3D"336" count=3D"3"/>
</sizes>
<total type=3D"fast" count=3D"40" size=3D"1744"/>
<total type=3D"rest" count=3D"0" size=3D"0"/>
<system type=3D"current" size=3D"139264"/>
<system type=3D"max" size=3D"139264"/>
<aspace type=3D"total" size=3D"139264"/>
<aspace type=3D"mprotect" size=3D"139264"/>
</heap>
<heap nr=3D"8">
<sizes>
							        <size from=3D"17" to=3D"32" total=3D"832" count=3D"26"/>
							        <size from=3D"33" to=3D"48" total=3D"240" count=3D"5"/>
							        <size from=3D"65" to=3D"80" total=3D"160" count=3D"2"/>
							        <size from=3D"97" to=3D"112" total=3D"112" count=3D"1"/>
							        <size from=3D"113" to=3D"128" total=3D"128" count=3D"1"/>
							        <size from=3D"49" to=3D"49" total=3D"49" count=3D"1"/>
							        <size from=3D"65" to=3D"65" total=3D"65" count=3D"1"/>
							        <size from=3D"145" to=3D"145" total=3D"145" count=3D"1"/>
							        <size from=3D"193" to=3D"193" total=3D"193" count=3D"1"/>
							        <size from=3D"449" to=3D"449" total=3D"449" count=3D"1"/>
  <unsorted from=3D"2961" to=3D"2961" total=3D"2961" count=3D"1"/>
</sizes>
<total type=3D"fast" count=3D"35" size=3D"1472"/>
<total type=3D"rest" count=3D"6" size=3D"3862"/>
<system type=3D"current" size=3D"139264"/>
<system type=3D"max" size=3D"139264"/>
<aspace type=3D"total" size=3D"139264"/>
<aspace type=3D"mprotect" size=3D"139264"/>
</heap>
<heap nr=3D"9">
<sizes>
</sizes>
<total type=3D"fast" count=3D"0" size=3D"0"/>
<total type=3D"rest" count=3D"0" size=3D"0"/>
<system type=3D"current" size=3D"135168"/>
<system type=3D"max" size=3D"135168"/>
<aspace type=3D"total" size=3D"135168"/>
<aspace type=3D"mprotect" size=3D"135168"/>
</heap>
<total type=3D"fast" count=3D"87" size=3D"3984"/>
<total type=3D"rest" count=3D"10" size=3D"6650"/>
<total type=3D"mmap" count=3D"2" size=3D"5341184"/>
<system type=3D"current" size=3D"11472166912"/>
<system type=3D"max" size=3D"11472166912"/>
<aspace type=3D"total" size=3D"11472166912"/>
<aspace type=3D"mprotect" size=3D"11472166912"/>
</malloc>




In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo versio=
n 1.14.8, Xaw3d scroll bars)
 of 2020-11-14 built on protected.rcdrun.com
Repository revision: 31f94e4b1c3dc201646ec436d3e2c477f784ed21
Repository branch: master
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=3D/package/text/emacs-2020-11-14 --with-modules
 --with-x-toolkit=3Dlucid'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rmc puny dired
dired-loaddefs rfc822 mml easymenu mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json map text-property-search
time-date subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils t-mouse term/linux disp-table tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 52575 6366)
 (symbols 48 7259 1)
 (strings 32 18937 1368)
 (string-bytes 1 616804)
 (vectors 16 8986)
 (vector-slots 8 116851 8619)
 (floats 8 22 260)
 (intervals 56 196 0)
 (buffers 992 11))

--=20
Thanks,
Jean Louis
=E2=8E=94 =CE=BB =F0=9F=84=AF =F0=9D=8D=84 =F0=9D=8C=A1 =F0=9D=8C=9A




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44666; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 17 Nov 2020 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.